Rasa x is not working on windows 10

I installed rasa x using the command pip install rasa-x -i https://pypi.rasa.com/simple and it successfully got installed but then i tried to run rasa x using the command rasa x and it showed the following error.

 2021-07-19 15:09:34 WARNING  rasax.community.services.insights.insight_service  - No local evaluation result files found.
 2021-07-19 15:09:37 ERROR    concurrent.futures  - exception calling callback for <Future at 0x2159a6ed4c0 state=finished raised gaierror>
 Traceback (most recent call last):
 File "c:\users\user\anaconda3\envs\rasa\lib\concurrent\futures\thread.py", line 57, in run
 result = self.fn(*self.args, **self.kwargs)
 File "c:\users\user\anaconda3\envs\rasa\lib\socket.py", line 918, in getaddrinfo
 for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
 socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\user\anaconda3\envs\rasa\lib\concurrent\futures\_base.py", line 328, in _invoke_callbacks
    callback(self)
  File "c:\users\user\anaconda3\envs\rasa\lib\asyncio\futures.py", line 374, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "c:\users\user\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 764, in call_soon_threadsafe
    self._check_closed()
  File "c:\users\user\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 508, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
Traceback (most recent call last):
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasa\cli\x.py", line 495, in run_locally
    local.main(
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\local.py", line 257, in main
    common_utils.run_in_loop(model_service.discover_models())
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\utils\common.py", line 900, in run_in_loop
    return loop.run_until_complete(coro)
  File "c:\users\user\anaconda3\envs\rasa\lib\asyncio\base_events.py", line 616, in run_until_complete
    return future.result()
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 821, in discover_models
    await model_service.discover_models()
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 147, in discover_models
    await _run_loop(max_retries, sleep_in_seconds)
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 133, in _run_loop
    await self._discover_models()
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 185, in _discover_models
    minimum_version = await self._retry_fetching_minimum_compatible_version()
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 174, in _retry_fetching_minimum_compatible_version
    minimum_version = await self.minimum_compatible_version()
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py", line 160, in minimum_compatible_version
    info = await stack_service.version()
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\stack_service.py", line 92, in version
    response = await session.get(
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\aiohttp\client.py", line 619, in _request
    break
  File "c:\users\user\anaconda3\envs\rasa\lib\site-packages\aiohttp\helpers.py", line 656, in __exit__
    raise asyncio.TimeoutError from None
asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/. 

please tell me what the problem is. please help.

  • What’s the output of rasa --version?
  • Are you running rasa x in the chatbot’s root directory?
  • What’s the project’s directory structure?
  • Does rasa shell work?

output of rasa --version

Rasa Version      :         2.7.0
Minimum Compatible Version: 2.6.0
Rasa SDK Version  :         2.7.0
Rasa X Version    :         0.41.2
Python Version    :         3.8.8
Operating System  :         Windows-10-10.0.19041-SP0
Python Path       :         c:\users\user\anaconda3\envs\rasa\python.exe

yes I’m running rasa x in the chatbots’ directory and rasa shell works fine. the problem occurs when i try to run rasa x.

1 Like

If possible, can you send me the project so that I can try for myself?

Okay. But how do I send my project? I’m sorry I’m new to this so I don’t know. Please tell me how to and thank you for taking time to reply.

if you have any idea, why its happing then please suggest some possible solutions to this. i have been trying for days and I’m stuck here.

@Lin Possible Solution 1:

  1. Go to the directory: venv/Lib/site-packages/rasa/core/channels/console.py
  2. Change the default value of DEFAULT_STREAM_READING_TIMEOUT_IN_SECONDS to more than 10, what ever time you required may be 30.

run and check the error or share screenshoot

@Lin Possible Solution 2:

From command prompt

  1. SET http_proxy=http://localhost:5002
  2. SET https_proxy=http://localhost:5002

run and check the error or share screenshoot

@Lin Possible Solution 3: I guess this will not be used but if you need create new environment and then do the experiment apart from running environment.

  1. conda create -n “Your_Environment_Name” python=3.8
  2. conda activate Your_Environment_Name
  3. pip install pip==20.2 --user
  4. pip install rasa==2.6.2
  5. pip install rasa-sdk==2.6.0
  6. pip install rasa-x==0.40.0 --extra-index-url https://pypi.rasa.com/simple
  7. rasa init , rasa train and rasa shell
  8. rasa x

If still, share error please.

i did solutions 1 and 2 but the same error that i posted earlier still exists.

i tried solution 3 as you told but this error popped up when i ran the command pip install rasa-x==0.40.0 --extra-index-url https://pypi.rasa.com/simple

 Looking in indexes: https://pypi.org/simple, https://pypi.rasa.com/simple
WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1131)'))': /simple/rasa-x/
WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1131)'))': /simple/rasa-x/
WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1131)'))': /simple/rasa-x/
WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1131)'))': /simple/rasa-x/
WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1131)'))': /simple/rasa-x/
Could not fetch URL https://pypi.rasa.com/simple/rasa-x/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.rasa.com', port=443): Max retries exceeded with url: /simple/rasa-x/ (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1131)'))) - skipping
ERROR: Could not find a version that satisfies the requirement rasa-x==0.40.0 (from versions: 0.0.0, 0.0.1, 0.0.2)
ERROR: No matching distribution found for rasa-x==0.40.0
WARNING: You are using pip version 20.2; however, version 21.1.3 is available.
You should consider upgrading via the 'C:\Users\User\anaconda3\envs\newrasa\python.exe -m pip install --upgrade pip' command.

@Lin solution 3 is only compatible with 2.6.2 and 2.6.0 only.

@Lin Did you tried both the solution 1 and solution 2 simultaneously huh?

Sorry for the late reply!

To send your project, compress it into .zip or .rar and upload it by clicking on this button while writing your reply:

Downgrading the rasa version worked for me. But, is this the only solution?

@vishruthdilip I am glad it work form you means solution 3 right. Yes, unfortunately currently this is the only solution.

@nik202 yes, i tried solution 1 and 2 simultaneously but it didn’t work. i did it separately as well but no luck. thank you for replying.

@ChrisRahme thank you for telling me how to do it. but i can’t upload it, it says the file is too big. thankyou for replying.

@Lin Are you able to solve the issue now or not?

Most probably because of the models folder, don’t include it in the upload :slight_smile:

unfortunately no. :slightly_frowning_face:

covid.rar (30.0 KB)

1 Like

Thanks, I may have found your problem. I’m not able to test if this is the problem but try it out and tell me if it works:

You have an intent called it's_ok. Try naming it its_ok instead.

The places where you should make the changes are:

  • domain.yml line 28
  • nlu.yml line 133
  • stories.yml line 47

@ChrisRahme :thinking: at the time of running the Rasa X after installation it should be default code.

i made the changes but rasa x still doesn’t work. even though rasa shell works fine.

Starting Rasa X in local mode... 🚀
2021-07-21 00:11:45 WARNING  rasax.community.services.insights.insight_service  - No local evaluation result files found.

this still shows.